package bundle

import (
	"context"
	"fonchain-fiee/api/bundle"
	"fonchain-fiee/pkg/service"
	"github.com/gin-gonic/gin"
	"github.com/gin-gonic/gin/binding"
)

func GetReconciliationList(c *gin.Context) {
	var req bundle.GetReconciliationListReq
	if err := c.ShouldBindBodyWith(&req, binding.JSON); err != nil {
		service.Error(c, err)
		return
	}
	detail, detailErr := service.BundleProvider.GetReconciliationList(context.Background(), &req)
	if detailErr != nil {
		service.Error(c, detailErr)
		return
	}
	service.Success(c, detail)
	return

}
